#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define 	module	coverage
Summary:	Tool for measuring code coverage of Python programs
Summary(pl.UTF-8):	Narzędzie do szacowania pokrycia kodu programów w Pythonie
Name:		python-%{module}
Version:	4.3.4
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/coverage/
Source0:	https://files.pythonhosted.org/packages/source/c/coverage/%{module}-%{version}.tar.gz
# Source0-md5:	89759813309185efcf4af8b9f7762630
URL:		http://coverage.readthedocs.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Coverage.py is a tool for measuring code coverage of Python programs.
It monitors your program, noting which parts of the code have been
executed, then analyzes the source to identify code that could have
been executed but was not.

%description -l pl.UTF-8
Coverage.py to narzędzie do szacowania pokrycia kodu programów w
Pythonie. Monitoruje program, zapisując, które części kodu zostały
wykonane, a następnie analizuje kod źródłowy w celu zidentyfikowania
kodu, który mógłby zostać wykonany, ale nie był.

%package -n python3-%{module}
Summary:	Tool for measuring code coverage of Python programs
Summary(pl.UTF-8):	Narzędzie do szacowania pokrycia kodu programów w Pythonie
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Coverage.py is a tool for measuring code coverage of Python programs.
It monitors your program, noting which parts of the code have been
executed, then analyzes the source to identify code that could have
been executed but was not.

%description -n python3-%{module} -l pl.UTF-8
Coverage.py to narzędzie do szacowania pokrycia kodu programów w
Pythonie. Monitoruje program, zapisując, które części kodu zostały
wykonane, a następnie analizuje kod źródłowy w celu zidentyfikowania
kodu, który mógłby zostać wykonany, ale nie był.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install
%endif

%if %{with python2}
%py_install

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt NOTICE.txt README.rst TODO.txt
%attr(755,root,root) %{_bindir}/coverage
%attr(755,root,root) %{_bindir}/coverage2
%attr(755,root,root) %{_bindir}/coverage-%{py_ver}
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/tracer.so
%{py_sitedir}/%{module}/htmlfiles
%{py_sitedir}/coverage-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt NOTICE.txt README.rst TODO.txt
%attr(755,root,root) %{_bindir}/coverage3
%attr(755,root,root) %{_bindir}/coverage-%{py3_ver}
%dir %{py3_sitedir}/%{module}
%attr(755,root,root) %{py3_sitedir}/%{module}/tracer.cpython-*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}/htmlfiles
%{py3_sitedir}/coverage-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 07 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-coverage.git;a=log;h=master

* Tue Mar 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 67d0174
- updated to 4.3.4

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d86b207
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 564086f
- updated to 4.2

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 7698dbd
- cleanup

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 305b66d
- updated to 4.0.3

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 89c96ed
- pl, python[23] bconds

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3efcb53
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d1ee1df
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6dfabba
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 54d0d8d
- rel 5; use py ver macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a0f427
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3eccefe
- python 3.5 rebuild
- release 3 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 67e021e
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ec3f6ca
- up to 3.7.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1739a70
- python 3.4
- release 3 (by relup.sh)

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> c122d38
- rebuild without py2 specific pythonegg() provides
- release 2 (by relup.sh)

* Wed Mar 27 2013 wrobell <wrobell@pld-linux.org> 4af080a
- added py3k package
- ver. 3.6

* Wed Oct 05 2011 zbyniu <zbyniu@pld-linux.org> 111ad2f
- *** empty log message ***

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 3438689
- package all files; rel 1

* Wed Jan 20 2010 sparky <sparky@pld-linux.org> 61734f1
- BR: python-setuptools

